POST Agents/AI/CreateTextForAppointment
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/AI/CreateTextForAppointment
Generate agenda text for an appointment based on appointment's company category, title, person, etc.
NsApiSlow threshold: 2000 ms.
Experimental: ## The AI agent is experimental, subject to change, and not intended for partners.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/AI/CreateTextForAppointment?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
Appointment, IsoLangCode
| Property Name | Type | Description |
|---|---|---|
| Appointment | AppointmentEntity | Partial AppointmentEntity class associating the generated AppointmentEntity with an interface. |
| IsoLangCode | String |
Response:string
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: string
Sample request
POST /api/v1/Agents/AI/CreateTextForAppointment
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"Appointment": null,
"IsoLangCode": "repudiandae"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
"Dear Sarah,\n\nThank you for scheduling time to discuss the Q4 marketing strategy. I'm looking forward to our meeting on Friday at 2:00 PM to review the campaign proposals and budget allocations.\n\nPlease bring any preliminary data or insights you'd like to share.\n\nBest regards,\nJohn"